//
//  HomePresenter.swift
//  UpaxMovie
//
//  Created Imo on 29/02/24.
//  Copyright © 2024 ___ORGANIZATIONNAME___. All rights reserved.
//
//  Template generated by UPAX Zeus
//

import UIKit

class HomePresenter {
    weak private var view: HomeViewProtocol?
    var interactor: HomeInteractorInputProtocol?
    private let router: HomeWireframeProtocol

    init(interface: HomeViewProtocol, interactor: HomeInteractorInputProtocol?, router: HomeWireframeProtocol) {
        self.view = interface
        self.interactor = interactor
        self.router = router
    }
}

extension HomePresenter: HomePresenterProtocol {
    func movieList(_ page: Int, completion: @escaping (MovieResponse?) -> Void) {
        interactor?.movieList(page, completion: completion)
    }
    
    func goDetail(_ item: Movie) {
        router.goDetail(item)
    }
    
    func showDialog(_ item: Movie) {
        router.showDialog(item)
    }
}

extension HomePresenter: HomeInteractorOutputProtocol {
    
}
